apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: ftp-0.2.0
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: ftp
      name: ftp
      podspec:
        containers:
          - image: aep/base_s6
            name: ftp
      provides:
        - exposed: true
          name: ftp
          network: loadbalanced
          servicespec:
            ports:
              - name: ftp
                port: 21
                protocol: TCP
                targetPort: 21
      sizing:
        increment: 1
        initial: 1
        maximum: 10
        minimum: 1
  dependencies:
    operator:
      name: ftp-operator
      vendor: asag
      version: 0.2.0
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.3.0
  name: ftp
  settings:
    - name: environment
      schema:
        default: ftp_prod
  version: 0.2.0
